import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
const ButtonSize = ["small", "large", ""];
const ButtonType = ["primary", "success", "warning", "error", "info", ""];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "button",
  props: {
    size: { default: "" },
    type: { default: "" }
  },
  setup(__props) {
    const props = __props;
    const className = computed(() => {
      const className2 = ["r-button"];
      if (ButtonSize.includes(props.size))
        className2.push(`r-button--${props.size}`);
      if (ButtonType.includes(props.type))
        className2.push(`r-button--${props.type}`);
      return className2;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("button", {
        class: normalizeClass(unref(className))
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
export {
  _sfc_main as default
};
